AIToolCallEvents
Lists AI tool call events
Returns audit events for AI tool calls and connector calls.
GET
/
v1
/
ai
/
tool_call_events
Lists AI tool call events
curl --request GET \
--url https://api.rootly.com/v1/ai/tool_call_events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rootly.com/v1/ai/tool_call_events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rootly.com/v1/ai/tool_call_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rootly.com/v1/ai/tool_call_events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rootly.com/v1/ai/tool_call_events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rootly.com/v1/ai/tool_call_events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rootly.com/v1/ai/tool_call_events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"type": "ai_tool_call_events",
"attributes": {
"remote_mcp_source_id": "<string>",
"provider_type": "<string>",
"tool_name": "<string>",
"user_id": 123,
"user_name": "<string>",
"user_email": "<string>",
"connection_name": "<string>",
"automatic": true,
"trigger_record_type": "<string>",
"trigger_record_id": "<string>",
"surface": "<string>",
"risk_class": "<string>",
"outcome": "<string>",
"duration_ms": 123,
"occurred_at": "2023-11-07T05:31:56Z",
"ai_session_id": "<string>",
"ai_automation_run_id": "<string>",
"argument_keys": [
"<string>"
]
}
}
],
"meta": {}
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of events per page (defaults to 50, max 1000)
Occurred at or after (ISO 8601)
Occurred at or before (ISO 8601)
Was this page helpful?
⌘I
Lists AI tool call events
curl --request GET \
--url https://api.rootly.com/v1/ai/tool_call_events \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rootly.com/v1/ai/tool_call_events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rootly.com/v1/ai/tool_call_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.rootly.com/v1/ai/tool_call_events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.rootly.com/v1/ai/tool_call_events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.rootly.com/v1/ai/tool_call_events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.rootly.com/v1/ai/tool_call_events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"type": "ai_tool_call_events",
"attributes": {
"remote_mcp_source_id": "<string>",
"provider_type": "<string>",
"tool_name": "<string>",
"user_id": 123,
"user_name": "<string>",
"user_email": "<string>",
"connection_name": "<string>",
"automatic": true,
"trigger_record_type": "<string>",
"trigger_record_id": "<string>",
"surface": "<string>",
"risk_class": "<string>",
"outcome": "<string>",
"duration_ms": 123,
"occurred_at": "2023-11-07T05:31:56Z",
"ai_session_id": "<string>",
"ai_automation_run_id": "<string>",
"argument_keys": [
"<string>"
]
}
}
],
"meta": {}
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}